<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<title>HTML Attributes and Links</title>
	</head>

	<body>
		<!-- h2 tag will create a heading on our webpage. -->
		<h2 align = "center" id = "top">HTML Attributes</h2>
		<p align = "center"><em>Modifiers of elements behaviors.</em></p>

		<h2>HTML Images</h2>
		<p align = "right"><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute</em></p>

		<img src="https://place-puppy.com/300x300"/>
		<p>
			<!-- code tag is used to define a piece of computer code and display text in browser using it's default monospace font. -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"&gt;
			</code>
		</p>

		<!-- In src attribute, we use relative linking. -->
		<img src="./images/zuittlogo.png"/>
		<p>
			<!-- code tag is used to define a piece of computer code and display text in browser using it's default monospace font. -->
			<code>
				&lt;img src"./images/zuittlogo.png"&gt;
			</code>
		</p>

		<p>Valid image extensions are the following:</p>

		<!-- type attribute changes the numbered points of the elements. the default type is the integer numbers. types : 1, a, A, i, I -->
		<!-- The reversed attribute reverses the order of the bullet points. -->
		<ol type = "i" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<h2>HTML Links</h2>

		<h4>Absolute Link</h4>
		<!-- a tag creates a hyperlink element when clicked will redirect to a different page. It is example of inline tag. -->
		<!-- href attribute means "hypertext reference" which is used to create a link to a different page -->
		<!-- target = "_blank" - to open a new tab for absolute linking. -->
		<a href="https://zuitt.co/" target="_blank">I'm a hyperlink.</a>

		<h4>Relative Linking</h4>
		<ul>
			<!-- This hyperlink will direct you to link.html -->
			<li>Hyperlink going to the <a href="./link.html">link.html</a></li>	

			<!-- This hyperlink will direct you to image.html -->
			<li>Go to <a href="./images/images.html">images.html</a></li>	

			<!-- Go to top using ID attributes -->
			<li>Go to <a href = "#top">top</a></li>
		</ul>

	</body>
</html>